Bug 450138 - dlm: move plock code from gfs2
dlm: move plock code from gfs2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Don Zickus
Cluster QE
: ReleaseNotes
Depends On: 456169
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 11:03 EDT by David Teigland
Modified: 2009-01-20 15:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
This change requires that the cman package also be updated to the most recent version in order for the cluster infrastructure to work. If the package is not updated, you will see the following gfs_controld error messages in the log file: gfs_controld[3853]: /proc/misc: No entry for lock_dlm_plock found gfs_controld[3853]: Is dlm missing from kernel? The cman package related bugzilla is bug 450169.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:22:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Teigland 2008-06-05 11:03:33 EDT
Description of problem:

Move the plock code from the lock_dlm module into the dlm so that it
can be used by both gfs1 and gfs2.  This is done because lock_dlm
is being duplicated for gfs1 and gfs2, but we still need to share the
plock code between them, i.e. maintain one instance of the plock code
instead of two.

This same shift was done upstream so that the plock code could be shared
with ocfs2.  The plock code is self-contained; its function does not
change when shifting the code into the different module.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Teigland 2008-06-05 11:43:55 EDT
fixed in two upstream commits:

From 2402211a8389282fd2942fad4511f02c0eeeffc5 Mon Sep 17 00:00:00 2001
From: David Teigland <teigland@redhat.com>
Date: Fri, 14 Mar 2008 15:09:15 -0500
Subject: [PATCH] dlm: move plock code from gfs2

Move the code that handles cluster posix locks from gfs2 into the dlm
so that it can be used by both gfs2 and ocfs2.

Signed-off-by: David Teigland <teigland@redhat.com>


From 817d10bad56f2fdfa321b4a864a21295226b123a Mon Sep 17 00:00:00 2001
From: David Teigland <teigland@redhat.com>
Date: Tue, 13 May 2008 14:28:26 -0500
Subject: [PATCH] dlm: fix plock dev_write return value

The return value on writes to the plock device should be
the number of bytes written.  It was returning 0 instead
when an nfs lock callback was involved.

Reported-by: Nathan Straz <nstraz@redhat.com>
Signed-off-by: David Teigland <teigland@redhat.com>

Comment 2 RHEL Product and Program Management 2008-06-05 12:34:15 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 David Teigland 2008-06-05 15:29:06 EDT
patch posted to rhkernel-list

http://post-office.corp.redhat.com/archives/rhkernel-list/2008-June/msg00092.html
Comment 5 Don Zickus 2008-07-16 11:48:27 EDT
in kernel-2.6.18-97.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 6 Kiersten (Kerri) Anderson 2008-09-11 10:35:58 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
This change requires that the cman package also be updated to the most recent version in order for the cluster infrastructure to work.  If the package is not updated, you will see the following gfs_controld error messages in the log file:
gfs_controld[3853]: /proc/misc: No entry
for lock_dlm_plock found
gfs_controld[3853]: Is dlm missing from
kernel?

The cman package related bugzilla is bug 450169.
Comment 11 errata-xmlrpc 2009-01-20 15:22:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.